Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453021 - search box in header of hardware.redhat.com needs to be replaced
Summary: search box in header of hardware.redhat.com needs to be replaced
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: eric_liu
QA Contact: Yu Shao
URL: https://hardware.redhat.com
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-26 18:25 UTC by Tushar Gandotra
Modified: 2013-07-04 08:47 UTC (History)
7 users (show)

Fixed In Version: 3.2rh-20080801.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-04 17:56:59 UTC


Attachments (Terms of Use)
update the search_link (deleted)
2008-06-27 09:19 UTC, eric_liu
no flags Details | Diff
The search_patch (deleted)
2008-06-27 10:36 UTC, eric_liu
no flags Details | Diff

Description Tushar Gandotra 2008-06-26 18:25:47 UTC
Description of problem: The search box in the header is pointing to old search
where as it should point to the new proxy.


Version-Release number of selected component (if applicable):


How reproducible:
Search for any word using the search box in the top of https://hardware.redhat.com 

Actual results:
It is pointing to old search page available at https://www.redhat.com/search/ui.jsp

Expected results:
It should be pointing to https://www.redhat.com/search

Additional info:
the code for the search form will be : 
<form id="search.form" method="get" action="http://www.redhat.com/search">
<div>
<input type="hidden" name="site" value="redhat" /><input type="text" name="q"
value="" size="15" /> <input type="submit" value="Search" />
</div>
<div><input type="hidden" name="asp_charset" value="ISO-8859-1" />
</div>
</form> 

Replace the old form code with the above one.

Old search service will be switched of in second or third week of July (date not
fixed yet)

Comment 1 eric_liu 2008-06-27 09:15:28 UTC
Patch Improve for patching operation:
diff -Nur hwcert_cvs/template/en/default/global/banner.html.tmpl
hwcert/template/en/default/global/banner.html.tmpl
--- hwcert_cvs/template/en/default/global/banner.html.tmpl	2007-07-17
02:24:19.000000000 +0800
+++ hwcert/template/en/default/global/banner.html.tmpl	2008-06-27
16:59:19.000000000 +0800
@@ -46,12 +46,17 @@
 <div id="header">
 <a href="http://www.redhat.com/" title="Red Hat home page"><img
src="images/g/chrome/logo_rh_home.png" alt="Red Hat Home" width="96" height="31"
id="rhLogo" /></a>
 
-<form action="http://www.redhat.com/apps/search/results.html" method="get"
id="search">
-<div>
-<input type="hidden" name="search:source" value="google:redhat" /><input
type="text" name="search:query_cb" size="15" id="search_enter" /> <input
type="submit" id="submit" value="Search" />
-</div>
-
-</form>
+<!-- The Up-to-date Search_link -->
+<form id="search.form" method="get" action="http://www.redhat.com/search">
+	<div>
+		<input type="hidden" name="site" value="redhat" />
+		<input type="text" name="q" value="" size="15" /> 
+		<input type="submit" value="Search" />
+	</div>
+	<div>
+		<input type="hidden" name="asp_charset" value="ISO-8859-1" />
+	</div>
+</form> 
 </div><!-- end header -->
 
 


Comment 3 eric_liu 2008-06-27 10:36:31 UTC
Created attachment 310420 [details]
The search_patch

Comment 5 Rob Landry 2008-07-15 18:09:20 UTC
Eric, ping nicho for patch review and if he agrees please work with him to check
the patch into CVS.

Comment 6 eric_liu 2008-07-16 02:21:49 UTC
I have discussed with nicho, and He will review it and then  check it into cvs ,
Thank you nicho  :)

Comment 7 XINSUN 2008-07-16 03:09:22 UTC
Patch has been deployed on http://bugdev.devel.redhat.com/hwcert-eric1/
If test well, will check in.

Comment 8 eric_liu 2008-07-16 10:30:10 UTC
Patch  has been checked into cvs.    
Thanks, Nicho Sun  :)

Comment 9 eric_liu 2008-08-01 10:36:33 UTC
tested and run good


Note You need to log in before you can comment on or make changes to this bug.